Efnisyfirlit

# DateDiff Function

Returns the number of date or time intervals between two given date values.

### Syntax:

    DateDiff (interval As String, date1 As Date, date2 As Date [, firstDayOfWeek As Integer [, firstWeekOfYear As Integer]]) As Double

## Skilagildi:

A number.

### Parameters:

interval - A string expression from the following table, specifying the date or time interval.

interval (string value) | Útskýring
--- | ---
yyyy | Ár
q | Ársfjórðungur
m | Mánuður
y | Dagur ársins
w | Vikudagur
ww | Vika í ári
d | Dagur
h | Klukkustund
n | Mínúta
s | Sekúnda

date1, date2 - The two date values to be compared.

Date literals allow to specify unambiguous date variables that are independent from the current language. Literals are enclosed between hash signs #. Possible formats are:

- #yyyy-mm-dd#

- #mm/dd/yyyy#

firstdayofweek: An optional parameter that specifies the starting day of a week.

firstdayofweek value | Útskýring
--- | ---
0 | Use system default value
1 | Sunday (default)
2 | Mánudagur
3 | Þriðjudagur
4 | Miðvikudagur
5 | Fimmtudagur
6 | Föstudagur
7 | Laugardagur

firstweekofyear: An optional parameter that specifies the starting week of a year.

firstweekofyear value | Útskýring
--- | ---
0 | Use system default value
1 | Week 1 is the week with January, 1st (default)
2 | Week 1 is the first week containing four or more days of that year
3 | Week 1 is the first week containing only days of the new year

### Example:

    Sub example_datediff
        MsgBox DateDiff("d", #1/1/2005#, #2005-12-31#)
    End Sub